zenilib: tohtml.HtmlFormatter Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
tohtml.HtmlFormatter Class Reference

Inherits formatter.Formatter.

## Public Member Functions

def | __init__
def | block_enter
def | block_exit
def | html_source_quote
def | index_dump
def | index_enter
def | index_exit
def | index_name_enter
def | make_block_url
def | make_html_code
def | make_html_items
def | make_html_para
def | make_html_word
def | make_html_words
def | make_section_url
def | markup_enter
def | markup_exit
def | print_html_field
def | print_html_field_list
def | print_html_items
def | print_html_markup
def | section_dump_all
def | section_enter
def | section_exit
def | toc_chapter_enter
def | toc_chapter_exit
def | toc_dump
def | toc_enter
def | toc_exit
def | toc_index
def | toc_section_enter
def | toc_section_exit
Public Member Functions inherited from formatter.Formatter
def | __init__
def | add_identifier
def | block_enter
def | block_exit
def | field_enter
def | field_exit
def | index_dump
def | index_enter
def | index_exit
def | index_name_enter
def | index_name_exit
def | markup_enter
def | markup_exit
def | section_dump
def | section_dump_all
def | section_enter
def | section_exit
def | toc_chapter_enter
def | toc_chapter_exit
def | toc_dump
def | toc_enter
def | toc_exit
def | toc_index
def | toc_section_enter
def | toc_section_exit

## Public Attributes

| columns
| file_prefix
| headers
| html_footer
| html_header
| html_index_header
| html_toc_header
| index_items
| project_title
Public Attributes inherited from formatter.Formatter
| block_index
| blocks
| chapters
| identifiers
| processor
| sections

## Detailed Description

Definition at line 198 of file tohtml.py.

## Constructor & Destructor Documentation

def tohtml.HtmlFormatter.__init__ | ( |  | self,
|  |  | processor,
|  |  | project_title,
|  |  | file_prefix
| ) |  |

Definition at line 200 of file tohtml.py.

## Member Function Documentation

def tohtml.HtmlFormatter.block_enter | ( |  | self,
|  |  | block
| ) |  |

Definition at line 538 of file tohtml.py.

References tohtml.HtmlFormatter.headers, content.ContentProcessor.headers, and tohtml.HtmlFormatter.html_source_quote().

def tohtml.HtmlFormatter.block_exit | ( |  | self,
|  |  | block
| ) |  |

Definition at line 581 of file tohtml.py.

References tohtml.HtmlFormatter.file_prefix.

def tohtml.HtmlFormatter.html_source_quote | ( |  | self,
|  |  | line,
|  |  | block_name = `None`
| ) |  |

Definition at line 334 of file tohtml.py.

References tohtml.html_quote(), formatter.Formatter.identifiers, and tohtml.HtmlFormatter.make_block_url().

Referenced by tohtml.HtmlFormatter.block_enter().

def tohtml.HtmlFormatter.index_dump | ( |  | self,
|  |  | index_filename = `None`
| ) |  |

Definition at line 438 of file tohtml.py.

References tohtml.HtmlFormatter.file_prefix.

def tohtml.HtmlFormatter.index_enter | ( |  | self | ) |

Definition at line 400 of file tohtml.py.

References tohtml.HtmlFormatter.html_index_header.

def tohtml.HtmlFormatter.index_exit | ( |  | self | ) |

Definition at line 409 of file tohtml.py.

References formatter.Formatter.block_index, tohtml.HtmlFormatter.columns, tohtml.HtmlFormatter.file_prefix, tohtml.HtmlFormatter.html_footer, and tohtml.HtmlFormatter.index_items.

def tohtml.HtmlFormatter.index_name_enter | ( |  | self,
|  |  | name
| ) |  |

Definition at line 404 of file tohtml.py.

References formatter.Formatter.identifiers, tohtml.HtmlFormatter.index_items, and tohtml.HtmlFormatter.make_block_url().

def tohtml.HtmlFormatter.make_block_url | ( |  | self,
|  |  | block
| ) |  |

Definition at line 242 of file tohtml.py.

References tohtml.HtmlFormatter.make_section_url().

Referenced by tohtml.HtmlFormatter.html_source_quote(), tohtml.HtmlFormatter.index_name_enter(), and tohtml.HtmlFormatter.make_html_word().

def tohtml.HtmlFormatter.make_html_code | ( |  | self,
|  |  | lines
| ) |  |

    convert a code sequence to HTML

Definition at line 303 of file tohtml.py.

References tohtml.html_quote().

Referenced by tohtml.HtmlFormatter.make_html_items().

def tohtml.HtmlFormatter.make_html_items | ( |  | self,
|  |  | items
| ) |  |

    convert a field's content into some valid HTML

Definition at line 311 of file tohtml.py.

References tohtml.HtmlFormatter.make_html_code(), and tohtml.HtmlFormatter.make_html_para().

Referenced by tohtml.HtmlFormatter.print_html_field(), tohtml.HtmlFormatter.print_html_items(), and tohtml.HtmlFormatter.section_enter().

def tohtml.HtmlFormatter.make_html_para | ( |  | self,
|  |  | words
| ) |  |

    convert words of a paragraph into tagged HTML text, handle xrefs

Definition at line 287 of file tohtml.py.

References tohtml.HtmlFormatter.make_html_word().

Referenced by tohtml.HtmlFormatter.make_html_items(), and tohtml.HtmlFormatter.toc_section_enter().

def tohtml.HtmlFormatter.make_html_word | ( |  | self,
|  |  | word
| ) |  |

    analyze a simple word to detect cross-references and styling

Definition at line 255 of file tohtml.py.

References tohtml.html_quote(), formatter.Formatter.identifiers, and tohtml.HtmlFormatter.make_block_url().

Referenced by tohtml.HtmlFormatter.make_html_para().

def tohtml.HtmlFormatter.make_html_words | ( |  | self,
|  |  | words
| ) |  |

    convert a series of simple words into some HTML text

Definition at line 245 of file tohtml.py.

References tohtml.html_quote().

def tohtml.HtmlFormatter.make_section_url | ( |  | self,
|  |  | section
| ) |  |

Definition at line 239 of file tohtml.py.

References tohtml.HtmlFormatter.file_prefix.

Referenced by tohtml.HtmlFormatter.make_block_url(), and tohtml.HtmlFormatter.toc_section_enter().

def tohtml.HtmlFormatter.markup_enter | ( |  | self,
|  |  | markup,
|  |  | block
| ) |  |

Definition at line 567 of file tohtml.py.

References tohtml.HtmlFormatter.print_html_markup().

def tohtml.HtmlFormatter.markup_exit | ( |  | self,
|  |  | markup,
|  |  | block
| ) |  |

Definition at line 575 of file tohtml.py.

def tohtml.HtmlFormatter.print_html_field | ( |  | self,
|  |  | field
| ) |  |

Definition at line 325 of file tohtml.py.

References tohtml.HtmlFormatter.make_html_items().

def tohtml.HtmlFormatter.print_html_field_list | ( |  | self,
|  |  | fields
| ) |  |

Definition at line 364 of file tohtml.py.

References tohtml.HtmlFormatter.print_html_items().

Referenced by tohtml.HtmlFormatter.print_html_markup().

def tohtml.HtmlFormatter.print_html_items | ( |  | self,
|  |  | items
| ) |  |

Definition at line 322 of file tohtml.py.

References tohtml.HtmlFormatter.make_html_items().

Referenced by tohtml.HtmlFormatter.print_html_field_list(), and tohtml.HtmlFormatter.print_html_markup().

def tohtml.HtmlFormatter.print_html_markup | ( |  | self,
|  |  | markup
| ) |  |

Definition at line 378 of file tohtml.py.

References tohtml.HtmlFormatter.print_html_field_list(), and tohtml.HtmlFormatter.print_html_items().

Referenced by tohtml.HtmlFormatter.markup_enter().

def tohtml.HtmlFormatter.section_dump_all | ( |  | self | ) |

Definition at line 589 of file tohtml.py.

References tohtml.HtmlFormatter.file_prefix, formatter.Formatter.section_dump(), formatter.Formatter.sections, content.DocChapter.sections, and content.ContentProcessor.sections.

def tohtml.HtmlFormatter.section_enter | ( |  | self,
|  |  | section
| ) |  |

Definition at line 493 of file tohtml.py.

References tohtml.HtmlFormatter.html_header, and tohtml.HtmlFormatter.make_html_items().

def tohtml.HtmlFormatter.section_exit | ( |  | self,
|  |  | section
| ) |  |

Definition at line 586 of file tohtml.py.

def tohtml.HtmlFormatter.toc_chapter_enter | ( |  | self,
|  |  | chapter
| ) |  |

Definition at line 451 of file tohtml.py.

def tohtml.HtmlFormatter.toc_chapter_exit | ( |  | self,
|  |  | chapter
| ) |  |

Definition at line 465 of file tohtml.py.

def tohtml.HtmlFormatter.toc_dump | ( |  | self,
|  |  | toc_filename = `None`,
|  |  | index_filename = `None`
| ) |  |

Definition at line 481 of file tohtml.py.

References tohtml.HtmlFormatter.file_prefix.

def tohtml.HtmlFormatter.toc_enter | ( |  | self | ) |

Definition at line 447 of file tohtml.py.

References tohtml.HtmlFormatter.html_toc_header.

def tohtml.HtmlFormatter.toc_exit | ( |  | self | ) |

Definition at line 474 of file tohtml.py.

References tohtml.HtmlFormatter.file_prefix, and tohtml.HtmlFormatter.html_footer.

def tohtml.HtmlFormatter.toc_index | ( |  | self,
|  |  | index_filename
| ) |  |

Definition at line 469 of file tohtml.py.

def tohtml.HtmlFormatter.toc_section_enter | ( |  | self,
|  |  | section
| ) |  |

Definition at line 455 of file tohtml.py.

References tohtml.HtmlFormatter.make_html_para(), and tohtml.HtmlFormatter.make_section_url().

def tohtml.HtmlFormatter.toc_section_exit | ( |  | self,
|  |  | section
| ) |  |

Definition at line 462 of file tohtml.py.

## Member Data Documentation

tohtml.HtmlFormatter.columns

Definition at line 237 of file tohtml.py.

Referenced by tohtml.HtmlFormatter.index_exit().

tohtml.HtmlFormatter.file_prefix

Definition at line 213 of file tohtml.py.

Referenced by tohtml.HtmlFormatter.block_exit(), tohtml.HtmlFormatter.index_dump(), tohtml.HtmlFormatter.index_exit(), tohtml.HtmlFormatter.make_section_url(), tohtml.HtmlFormatter.section_dump_all(), tohtml.HtmlFormatter.toc_dump(), and tohtml.HtmlFormatter.toc_exit().

tohtml.HtmlFormatter.headers

Definition at line 211 of file tohtml.py.

Referenced by tohtml.HtmlFormatter.block_enter().

tohtml.HtmlFormatter.html_footer

Definition at line 233 of file tohtml.py.

Referenced by tohtml.HtmlFormatter.index_exit(), and tohtml.HtmlFormatter.toc_exit().

tohtml.HtmlFormatter.html_header

Definition at line 214 of file tohtml.py.

Referenced by tohtml.HtmlFormatter.section_enter().

tohtml.HtmlFormatter.html_index_header

Definition at line 221 of file tohtml.py.

Referenced by tohtml.HtmlFormatter.index_enter().

tohtml.HtmlFormatter.html_toc_header

Definition at line 227 of file tohtml.py.

Referenced by tohtml.HtmlFormatter.toc_enter().

tohtml.HtmlFormatter.index_items

Definition at line 402 of file tohtml.py.

Referenced by tohtml.HtmlFormatter.index_exit(), and tohtml.HtmlFormatter.index_name_enter().

tohtml.HtmlFormatter.project_title

Definition at line 212 of file tohtml.py.

The documentation for this class was generated from the following file:

- zenilib/jni/external/freetype2/src/tools/docmaker/tohtml.py